Update team
curl --request PATCH \
--url https://api.hubapi.com/settings/teams/2026-09-beta/{teamId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": {},
"parentTeamId": {}
}
'import requests
url = "https://api.hubapi.com/settings/teams/2026-09-beta/{teamId}"
payload = {
"name": {},
"parentTeamId": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: {}, parentTeamId: {}})
};
fetch('https://api.hubapi.com/settings/teams/2026-09-beta/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"parentTeamId": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Teams
Update team
Update the details of a specific team in your HubSpot account. This endpoint allows you to modify the team’s information, such as its name or parent team ID. Ensure that the teamId provided in the path is correct, as it identifies the team to be updated.
PATCH
/
settings
/
teams
/
2026-09-beta
/
{teamId}
Update team
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the team to update.
Body
application/json
Last modified on August 3, 2026
Was this page helpful?
⌘I